<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.util.ints Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.util.ints Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.util.ints
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints"><B>AbstractIntCollection</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints"><B>AbstractIntList</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints"><B>DefaultIntList</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
</UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractSortedIntSet.html" title="class in ch.javasoft.util.ints"><B>AbstractSortedIntSet</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints">SortedIntSet</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/BitSetIntSet.html" title="class in ch.javasoft.util.ints"><B>BitSetIntSet</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/DefaultIntSet.html" title="class in ch.javasoft.util.ints"><B>DefaultIntSet</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/RangeIntSet.html" title="class in ch.javasoft.util.ints"><B>RangeIntSet</B></A> (implements java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.ImmutableIntIntEntry.html" title="class in ch.javasoft.util.ints"><B>AbstractIntIntMap.ImmutableIntIntEntry</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints">IntIntMap.IntIntEntry</A>)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.SimpleIntIntEntry.html" title="class in ch.javasoft.util.ints"><B>AbstractIntIntMap.SimpleIntIntEntry</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints">IntIntMap.IntIntEntry</A>)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntIterator.html" title="class in ch.javasoft.util.ints"><B>AbstractIntIterator</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIterator.html" title="interface in ch.javasoft.util.ints">IntIterator</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntListIterator.html" title="class in ch.javasoft.util.ints"><B>AbstractIntListIterator</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntListIterator.html" title="interface in ch.javasoft.util.ints">IntListIterator</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/DefaultIntListIterator.html" title="class in ch.javasoft.util.ints"><B>DefaultIntListIterator</B></A></UL>
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/AbstractMap.html" title="class or interface in java.util"><B>AbstractMap</B></A>&lt;K,V&gt; (implements java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;K,V&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntIntMap.html" title="class in ch.javasoft.util.ints"><B>AbstractIntIntMap</B></A> (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints">IntIntMap</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints"><B>DefaultIntIntMap</B></A> (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/KeyRangeIntIntMap.html" title="class in ch.javasoft.util.ints"><B>KeyRangeIntIntMap</B></A> (implements java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollections.html" title="class in ch.javasoft.util.ints"><B>IntCollections</B></A><LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntHashMap.html" title="class in ch.javasoft.util.ints"><B>IntHashMap</B></A>&lt;V&gt; (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints">IntMap</A>&lt;V&gt;, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntHashMap.IntEntry.html" title="class in ch.javasoft.util.ints"><B>IntHashMap.IntEntry</B></A>&lt;VV&gt; (implements ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntMap.IntEntry.html" title="interface in ch.javasoft.util.ints">IntMap.IntEntry</A>&lt;V&gt;)
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang"><B>Iterable</B></A>&lt;T&gt;<UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util"><B>Collection</B></A>&lt;E&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints"><B>IntCollection</B></A> (also extends ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints">IntIterable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints"><B>IntList</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;E&gt;)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints"><B>IntSet</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints"><B>SortedIntSet</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;)
</UL>
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util"><B>List</B></A>&lt;E&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints"><B>IntList</B></A> (also extends ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>)
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util"><B>Set</B></A>&lt;E&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints"><B>IntSet</B></A> (also extends ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints"><B>SortedIntSet</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;)
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util"><B>SortedSet</B></A>&lt;E&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints"><B>SortedIntSet</B></A> (also extends ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints">IntSet</A>)
</UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints"><B>IntIterable</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints"><B>IntCollection</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;E&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints"><B>IntList</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;E&gt;)
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntSet.html" title="interface in ch.javasoft.util.ints"><B>IntSet</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;E&gt;)
<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/SortedIntSet.html" title="interface in ch.javasoft.util.ints"><B>SortedIntSet</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html" title="class or interface in java.util">SortedSet</A>&lt;E&gt;)
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Iterator.html" title="class or interface in java.util"><B>Iterator</B></A>&lt;E&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIterator.html" title="interface in ch.javasoft.util.ints"><B>IntIterator</B></A><UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntListIterator.html" title="interface in ch.javasoft.util.ints"><B>IntListIterator</B></A> (also extends java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util">ListIterator</A>&lt;E&gt;)
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/ListIterator.html" title="class or interface in java.util"><B>ListIterator</B></A>&lt;E&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntListIterator.html" title="interface in ch.javasoft.util.ints"><B>IntListIterator</B></A> (also extends ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIterator.html" title="interface in ch.javasoft.util.ints">IntIterator</A>)
</UL>
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util"><B>Map</B></A>&lt;K,V&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntMap.html" title="interface in ch.javasoft.util.ints"><B>IntMap</B></A>&lt;V&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.html" title="interface in ch.javasoft.util.ints"><B>IntIntMap</B></A></UL>
</UL>
<LI TYPE="circle">java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.Entry.html" title="class or interface in java.util"><B>Map.Entry</B></A>&lt;K,V&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntMap.IntEntry.html" title="interface in ch.javasoft.util.ints"><B>IntMap.IntEntry</B></A>&lt;V&gt;<UL>
<LI TYPE="circle">ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntIntMap.IntIntEntry.html" title="interface in ch.javasoft.util.ints"><B>IntIntMap.IntIntEntry</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
